Annotations
GET https://digitalstats.net/api/annotations/
curl --request GET \
--url 'https://digitalstats.net/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digitalstats.net/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Facultatif Entier | |
| search | Facultatif Chaîne | La chaîne de recherche. |
| search_by | Facultatif Chaîne | Par quel champ recherchez-vous. Les valeurs autorisées sont : name. |
| order_by | Facultatif Chaîne | Par quel champ trier les résultats. Les valeurs autorisées sont : annotation_id, datetime, last_datetime, name, chart_datetime. |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour l'ordre croissant et DESC pour l'ordre décroissant. |
| page | Facultatif Entier | Le numéro de la page dont vous souhaitez obtenir les résultats. La valeur par défaut est 1. |
| results_per_page | Facultatif Entier | Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont : 10 , 25 , 50 , 100 , 250 , 500 , 1000. La valeur par défaut est 25. |
{
"data": [
{
"id": 1,
"website_id: 1,
"user_id: 1,
"name": "Example",
"chart_datetime": "2026-04-29 12:28:25",
"datetime": "2026-04-29 12:28:25",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digitalstats.net/api/annotations?page=1",
"last": "https://digitalstats.net/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://digitalstats.net/api/annotations?page=1"
}
}
GET https://digitalstats.net/api/annotations/{annotation_id}
curl --request GET \
--url 'https://digitalstats.net/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digitalstats.net/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id: 1,
"user_id: 1,
"name": "Example",
"chart_datetime": "2026-04-29 12:28:25",
"datetime": "2026-04-29 12:28:25",
"last_datetime": null
}
}
POST https://digitalstats.net/api/annotations
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Requis Entier | - |
| name | Requis Chaîne | - |
| chart_datetime | Requis Chaîne | Y-m-d H:i:s |
curl --request POST \
--url 'https://digitalstats.net/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-04-29 12:28:25' \
--url 'https://digitalstats.net/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-04-29 12:28:25' \
{
"data": {
"id": 1
}
}
POST https://digitalstats.net/api/annotations/{annotation_id}
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Facultatif Entier | - |
| name | Facultatif Chaîne | - |
| chart_datetime | Facultatif Chaîne | Y-m-d H:i:s |
curl --request POST \
--url 'https://digitalstats.net/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://digitalstats.net/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://digitalstats.net/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://digitalstats.net/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digitalstats.net/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \